tigase.auth.mechanisms

## Class SaslEXTERNAL

- java.lang.Object
- - tigase.auth.mechanisms.AbstractSasl
  - - tigase.auth.mechanisms.SaslEXTERNAL

- All Implemented Interfaces:
    SaslServer

      public class SaslEXTERNAL
      extends AbstractSasl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SASL_EXTERNAL_ALLOWED`
    `static String` | `SESSION_AUTH_JIDS_KEY`

    - ### Fields inherited from class tigase.auth.mechanisms.AbstractSasl

      `authorizedId, callbackHandler, complete, negotiatedProperty, props`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `evaluateResponse(byte[] response)`
    `String` | `getAuthorizationID()`
    `String` | `getMechanismName()`
    `byte[]` | `unwrap(byte[] incoming, int offset, int len)`
    `byte[]` | `wrap(byte[] outgoing, int offset, int len)`

    - ### Methods inherited from class tigase.auth.mechanisms.AbstractSasl

      `dispose, getNegotiatedProperty, handleCallbacks, isComplete, isEmpty, split`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SASL_EXTERNAL_ALLOWED

          public static final String SASL_EXTERNAL_ALLOWED

      See Also:
        Constant Field Values

    - #### SESSION_AUTH_JIDS_KEY

          public static final String SESSION_AUTH_JIDS_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### evaluateResponse

          public byte[] evaluateResponse(byte[] response)
                                  throws SaslException

      Throws:
        `SaslException`

    - #### getAuthorizationID

          public String getAuthorizationID()

    - #### getMechanismName

          public String getMechanismName()

    - #### unwrap

          public byte[] unwrap(byte[] incoming,
                      int offset,
                      int len)
                        throws SaslException

      Throws:
        `SaslException`

    - #### wrap

          public byte[] wrap(byte[] outgoing,
                    int offset,
                    int len)
                      throws SaslException

      Throws:
        `SaslException`

Copyright © 2014 "Tigase, Inc.". All rights reserved.